package model;

public class Student {
    private int id;              // 数据库主键ID
    private String studentId;    // 学号
    private String name;         // 学生姓名
    private String className;    // 班级
    private String contact;      // 联系方式
    private String college;      // 学院
    private String major;        // 专业
    private String password;     // 登录密码

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Student(int id, String studentId, String name, String className, String contact, String college, String major, String password) {
        this.id = id;
        this.studentId = studentId;
        this.name = name;
        this.className = className;
        this.contact = contact;
        this.college = college;
        this.major = major;
        this.password = password;
    }
// 构造方法



    // getter和setter方法
}
